Initial commit

This commit is contained in:
Nico Schottelius 2006-07-20 09:54:37 +02:00
commit d3c6e29902
202 changed files with 3909 additions and 0 deletions

16
0toX Executable file
View File

@ -0,0 +1,16 @@
#!/bin/bash
# @Descripton:
# Move blender output files to your
# extension
# @Author: Nico Schottelius <nico@schottelius.(org|net)>
# @Date: April 2., 1999
# @Copying: See GNU GENERAL PUBLIC LICENSE ; Version 2, June 1991
if [ -z $1 ]
then echo "Please choose extension"
echo "Usage: $0 <extension>"
else
for i in [0-9][0-9][0-9][0-9]
do mv $i $i.$1
done
fi

4
1440disk Executable file
View File

@ -0,0 +1,4 @@
#!/bin/bash
fdformat /dev/fd0u1440
mformat -s 16 -t 80 -h 2 a:
mdir a:

3
2xterm Executable file
View File

@ -0,0 +1,3 @@
#!/bin/sh
xterm -ls -title "F1rSt X-T3Rm" &
xterm -ls -title "²×-13erM" &

4
3xterm Executable file
View File

@ -0,0 +1,4 @@
#!/bin/sh
xterm -ls -title "--irst 0n3xx" &
xterm -ls -title ">>> 2nd <<<" &
xterm -ls -title "www.3rd.xterm" &

5
4xterm Executable file
View File

@ -0,0 +1,5 @@
#!/bin/sh
xterm -ls -title "Welcome to the world of darkness -#1#-" &
xterm -ls -title "Welcome to the cinema -#2#-" &
xterm -ls -title "Welcome to the paradis on earth -#3#-" &
xterm -ls -title "Welcome to the Universe -#4#-" &

4
720disk Executable file
View File

@ -0,0 +1,4 @@
#!/bin/bash
fdformat /dev/fd0h720
mformat -s 8 -t 80 -h 2 a:
mdir a:

59
Bash-Prompt-HOWTO Executable file
View File

@ -0,0 +1,59 @@
#!/bin/bash
#
# This file echoes a bunch of colour codes to the terminal to demonstrate
# what's available. Each line is one colour on black and gray
# backgrounds, with the code in the middle. Verified to work on white,
# black, and green BGs (2 Dec 98).
#
echo " On Light Gray: On Black:"
echo -e "\033[47m\033[1;37m White \033[0m\
1;37m \
\033[40m\033[1;37m White \033[0m"
echo -e "\033[47m\033[37m Light Gray \033[0m\
37m \
\033[40m\033[37m Light Gray \033[0m"
echo -e "\033[47m\033[1;30m Gray \033[0m\
1;30m \
\033[40m\033[1;30m Gray \033[0m"
echo -e "\033[47m\033[30m Black \033[0m\
30m \
\033[40m\033[30m Black \033[0m"
echo -e "\033[47m\033[31m Red \033[0m\
31m \
\033[40m\033[31m Red \033[0m"
echo -e "\033[47m\033[1;31m Light Red \033[0m\
1;31m \
\033[40m\033[1;31m Light Red \033[0m"
echo -e "\033[47m\033[32m Green \033[0m\
32m \
\033[40m\033[32m Green \033[0m"
echo -e "\033[47m\033[1;32m Light Green \033[0m\
1;32m \
\033[40m\033[1;32m Light Green \033[0m"
echo -e "\033[47m\033[33m Brown \033[0m\
33m \
\033[40m\033[33m Brown \033[0m"
echo -e "\033[47m\033[1;33m Yellow \033[0m\
1;33m \
\033[40m\033[1;33m Yellow \033[0m"
echo -e "\033[47m\033[34m Blue \033[0m\
34m \
\033[40m\033[34m Blue \033[0m"
echo -e "\033[47m\033[1;34m Light Blue \033[0m\
1;34m \
\033[40m\033[1;34m Light Blue \033[0m"
echo -e "\033[47m\033[35m Purple \033[0m\
35m \
\033[40m\033[35m Purple \033[0m"
echo -e "\033[47m\033[1;35m Pink \033[0m\
1;35m \
\033[40m\033[1;35m Pink \033[0m"
echo -e "\033[47m\033[36m Cyan \033[0m\
36m \
\033[40m\033[36m Cyan \033[0m"
echo -e "\033[47m\033[1;36m Light Cyan \033[0m\
1;36m \
\033[40m\033[1;36m Light Cyan \033[0m"
echo "--------------------------------------------"
echo -e "\033[33m\033[1;39m Light Cyan \033[0m 1;36m \033[40m\033[1;36m Light Cyan \033[0m"

59
Bash-Prompt-HOWTO-colors Executable file
View File

@ -0,0 +1,59 @@
#!/bin/bash
#
# This file echoes a bunch of colour codes to the terminal to demonstrate
# what's available. Each line is one colour on black and gray
# backgrounds, with the code in the middle. Verified to work on white,
# black, and green BGs (2 Dec 98).
#
echo " On Light Gray: On Black:"
echo -e "\033[47m\033[1;37m White \033[0m\
1;37m \
\033[40m\033[1;37m White \033[0m"
echo -e "\033[47m\033[37m Light Gray \033[0m\
37m \
\033[40m\033[37m Light Gray \033[0m"
echo -e "\033[47m\033[1;30m Gray \033[0m\
1;30m \
\033[40m\033[1;30m Gray \033[0m"
echo -e "\033[47m\033[30m Black \033[0m\
30m \
\033[40m\033[30m Black \033[0m"
echo -e "\033[47m\033[31m Red \033[0m\
31m \
\033[40m\033[31m Red \033[0m"
echo -e "\033[47m\033[1;31m Light Red \033[0m\
1;31m \
\033[40m\033[1;31m Light Red \033[0m"
echo -e "\033[47m\033[32m Green \033[0m\
32m \
\033[40m\033[32m Green \033[0m"
echo -e "\033[47m\033[1;32m Light Green \033[0m\
1;32m \
\033[40m\033[1;32m Light Green \033[0m"
echo -e "\033[47m\033[33m Brown \033[0m\
33m \
\033[40m\033[33m Brown \033[0m"
echo -e "\033[47m\033[1;33m Yellow \033[0m\
1;33m \
\033[40m\033[1;33m Yellow \033[0m"
echo -e "\033[47m\033[34m Blue \033[0m\
34m \
\033[40m\033[34m Blue \033[0m"
echo -e "\033[47m\033[1;34m Light Blue \033[0m\
1;34m \
\033[40m\033[1;34m Light Blue \033[0m"
echo -e "\033[47m\033[35m Purple \033[0m\
35m \
\033[40m\033[35m Purple \033[0m"
echo -e "\033[47m\033[1;35m Pink \033[0m\
1;35m \
\033[40m\033[1;35m Pink \033[0m"
echo -e "\033[47m\033[36m Cyan \033[0m\
36m \
\033[40m\033[36m Cyan \033[0m"
echo -e "\033[47m\033[1;36m Light Cyan \033[0m\
1;36m \
\033[40m\033[1;36m Light Cyan \033[0m"
echo "--------------------------------------------"
echo -e "\033[33m\033[1;39m Light Cyan \033[0m 1;36m \033[40m\033[1;36m Light Cyan \033[0m"

View File

@ -0,0 +1,9 @@
#!/bin/sh
read -p "Datum: " mydate
for a in $*
do
cat $a | sed "s/DATUM/${mydate}/g" > $a.tmp
mv $a.tmp $a
done

View File

@ -0,0 +1,9 @@
#!/bin/sh
read -p "Beschreibung: " mydesc
for a in $*
do
cat $a | sed "s/DESCRIPTION/${mydesc}/g" > $a.tmp
mv $a.tmp $a
done

View File

@ -0,0 +1,9 @@
#!/bin/sh
read -p "Identifikation: " myident
for a in $*
do
cat $a | sed "s/IDENT/${myident}/g" > $a.tmp
mv $a.tmp $a
done

View File

@ -0,0 +1,9 @@
#!/bin/sh
read -p "Keywords: " mykey
for a in $*
do
cat $a | sed "s/KEYWORDS/${mykey}/g" > $a.tmp
mv $a.tmp $a
done

View File

@ -0,0 +1,9 @@
#!/bin/sh
read -p "Rechte gehoeren: " myrechte
for a in $*
do
cat $a | sed "s/FIRMA/${myrechte}/g" > $a.tmp
mv $a.tmp $a
done

View File

@ -0,0 +1,9 @@
#!/bin/sh
read -p "Titel: " mytitle
for a in $*
do
cat $a | sed "s/THE_TITLE/${mytitle}/g" > $a.tmp
mv $a.tmp $a
done

14
MOVE-inodes.sh Executable file
View File

@ -0,0 +1,14 @@
for a in `seq 1 9`; do
for b in `seq 1 9`; do
for c in `seq 1 9`; do
for d in `seq 1 9`; do
for e in `seq 1 9`; do
for f in `seq 1 9`; do
mkdir -p $a/$b/$c/$d/$e/$f
mv -f \$Inode$a$b$c$d$e$f* $a/$b/$c/$d/$e/$f 2>/dev/null
done
done
done
done
done
done

52
add-mutt+procmail-autosort Executable file
View File

@ -0,0 +1,52 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 22-Aug-2003
# Last Modified: 2004-08-22
# Add mutt hooks and procmail entries at the same time
# Please use a 'DEFAULT' entry in procmailrc to make it work
#
PROCMAILRC=~/.procmailrc
MUTT_MAILBOXES=~/.mutt/mailboxes
MUTT_HEADERS=~/.mutt/hooks
PROCMAIL_MATCH='(^TO|^Delivered-To: )' # email after that
echo generating new mutt and new procmailentry
read -p "To Email: " email
read -p "To which folder: " folder
read -p "Your name: " name
read -p "Comment: " comment
echo "Email=$email"
echo "Name=$name"
echo "Comment=$comment"
echo "Folder=$folder"
read -p "Enter to continue" bla
# procmail: insert at first line
cat << EOF >> $PROCMAILRC
### autogenerated by add-mutt+procmail-autosort ($comment)
:0
* $PROCMAIL_MATCH$email
$folder/
EOF
# mutt/checking
cat << EOF >> $MUTT_MAILBOXES
### for $email / $name / $comment
mailboxes +$folder/
EOF
# mutt/headers
cat << EOF >> $MUTT_HEADERS
# $comment
folder-hook $folder 'my_hdr From: $name <$email>'
folder-hook $folder 'set from="$email"'
EOF
# folder; {new,cur,tmp} does not work in ash
mkdir -p ~/Maildir/$folder/new
mkdir -p ~/Maildir/$folder/cur
mkdir -p ~/Maildir/$folder/tmp

View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 22-Aug-2003
# Last Modified: 29-Apr-2004
# Add mutt hooks and procmail entries at the same time
# Please use a 'DEFAULT' entry in procmailrc to make it work
#
PROCMAILRC=~/.procmailrc
MUTT_MAILBOXES=~/.mutt/mailboxes
MUTT_HEADERS=~/.mutt/hooks
#PROCMAIL_MATCH="^TO" # email after that
PROCMAIL_MATCH="^Delivered-To: " # email after that
echo generating new mutt and new procmailentry
read -p "To Email: " email
read -p "To which folder: " folder
read -p "Your name: " name
read -p "Comment: " comment
read -p "Email=$email, name=$name, comment=$comment and folder=$folder. Enter to continue" bla
# procmail: insert at first line
cat << EOF >> $PROCMAILRC
### autogenerated by add-mutt+procmail-autosort ($comment)
:0
* $PROCMAIL_MATCH$email
$folder/
EOF
# mutt/checking
cat << EOF >> $MUTT_MAILBOXES
### for $email / $name / $comment
mailboxes +$folder/
EOF
# mutt/headers
cat << EOF >> $MUTT_HEADERS
# $comment
folder-hook $folder 'my_hdr From: $name <$email>'
folder-hook $folder 'set from="$email"'
EOF
# folder; {new,cur,tmp} does not work in ash
mkdir -p ~/Maildir/$folder/new
mkdir -p ~/Maildir/$folder/cur
mkdir -p ~/Maildir/$folder/tmp

42
add-mutt+procmail-autosort01 Executable file
View File

@ -0,0 +1,42 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 22-Aug-2003
# Last Modified: 17-Jan-2004
# Now adding procmail entries at the beginning of the file
#
PROCMAILRC=~/.procmailrc
MUTT_MAILBOXES=~/.mutt/mailboxes
MUTT_HEADERS=~/.mutt/hooks
echo generating new mutt and new procmailentry
read -p "To Email: " email
read -p "To which folder: " folder
read -p "your name: " name
read -p "Email=$email, name=$name and folder=$folder. Enter to continue" bla
# procmail: insert at first line
cat << EOF >> $PROCMAILRC
### autogenerated by add-mutt+procmail-autosort
:0
* ^TO$email
$folder/
EOF
# mutt/checking
cat << EOF >> $MUTT_MAILBOXES
### for $email / $name
mailboxes +$folder/
EOF
# mutt/headers
cat << EOF >> $MUTT_HEADERS
folder-hook $folder 'my_hdr From: $name <$email>'
folder-hook $folder 'set from="$email"'
EOF
# folder
mkdir -p ~/Maildir/$folder/{new,cur,tmp}

17
add_tele_dns Executable file
View File

@ -0,0 +1,17 @@
FORWARD=/etc/bind/tele.wdt.intern.hosts
REVERSE=/etc/bind/10.10.1.rev
read -p "Name: " name
read -p "Telefonnummer: " tele
read -p "Eintragen (strg+c zum abbrechen) "
if [ "$tele" -le 255 ]; then
echo "$name in A 10.10.1.$tele" >> $FORWARD
echo "$tele in ptr $name.tele.wdt.intern." >> $REVERSE
else
echo "$name bekommt keinen A eintrag, da zu grosse nummer"
fi
echo "$name in TXT \"$tele\"" >> $FORWARD
killall -HUP named

22
add_tele_dns.cmd Executable file
View File

@ -0,0 +1,22 @@
if [ $# -ne 2 ]; then
echo noe. $0 name telefon
exit 1
fi
FORWARD=/etc/bind/tele.wdt.intern.hosts
REVERSE=/etc/bind/10.10.1.rev
read -p "Name: " name
read -p "Telefonnummer: " tele
read -p "Eintragen (strg+c zum abbrechen) "
if [ "$tele" -le 255 ]; then
echo "$name in A 10.10.1.$tele" >> $FORWARD
echo "$tele in ptr $name.tele.wdt.intern." >> $REVERSE
else
echo "$name bekommt keinen A eintrag, da zu grosse nummer"
fi
echo "$name in TXT \"$tele\"" >> $FORWARD
killall -HUP named

44
ae_parser Executable file
View File

@ -0,0 +1,44 @@
# Date: 15th of March 2k+1
# Last Changed: 24th of February 2k+4
# Author: Nico Schottelius <Nico AT Schottelius DOT Org>
# Description: This script searches for the following strings
# and will substitute them with the right German Characters
#
# _ae_ = ä
# _ue_ = ü
# _oe_ = ö
# _Ae_ = Ä
# _Oe_ = Ö
# _Ue_ = Ü
# _sz_ = ß (not _ss_ like it was earlier)
#
if [ $# -lt 1 ]; then
echo `basename $0`': file(s)'
echo 'Hey, hey guy, what to convert ?'
exit 1
fi
for mfile in $@; do
if [ ! -f "$mfile" ]; then
echo "Keine Datei namens $mfile gefunden. Skip."
break
fi
# something other programs do not use
G_STR=".`date +%s%M%U`-`basename $0`-`basename $mfile`-$$"
echo "Using $G_STR to convert $mfile ..."
cat "$mfile" | sed -e 's/_ae_/ä/g' -e 's/_ue_/ü/g' -e 's/_oe_/ö/g' \
-e 's/_Ae_/Ä/g' -e 's/_Ue_/Ü/g' -e 's/_Oe_/Ö/g' -e 's/_sz_/ß/g' > "$G_STR"
if [ $? = 0 ]; then
mv "$G_STR" "$mfile"
else
echo "Replacing failed, don't replace original."
fi
done

56
ae_parser-2004-02-24 Executable file
View File

@ -0,0 +1,56 @@
# Date: 15th of March 2k+1
# Last Changed: 11th of January 2k+4
# Author: Nico Schottelius <Nico AT Schottelius DOT Org>
# Description: This script searches for the following strings
# and will substitute them with the right German Characters
#
# _ae_ = ä
# _ue_ = ü
# _oe_ = ö
# _Ae_ = Ä
# _Oe_ = Ö
# _Ue_ = Ü
# _ss_ = ß
#
if [ $# -lt 1 ]; then
echo `basename $0`': file(s)'
echo 'Hey, hey guy, what to convert ?'
exit 1
fi
for mfile in $@; do
if [ ! -f "$mfile" ]; then
echo "Keine Datei namens $mfile gefunden. Skip."
break
fi
cp -f "$mfile" "$mfile".ae_parser-orig
# something other programs do not use
G_STR=".`date +%s%M%U`-`basename $0`-`basename $mfile`-$$"
cat $mfile | sed 's/_ae_/ä/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_ue_/ü/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_oe_/ö/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_Ae_/Ä/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_Ue_/Ü/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_Oe_/Ö/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_ss_/ß/g' > $G_STR
mv $G_STR $mfile
done

49
ae_parser-2004-06-17 Executable file
View File

@ -0,0 +1,49 @@
# Date: 15th of March 2k+1
# Last Changed: 17th of June 2k+1
# Author: Nico Schottelius <Nico AT Schottelius DOT Org>
# Description: This script searches for the following strings
# and will substitute them with the right German Characters
#
# _ae_ = ä
# _ue_ = ü
# _oe_ = ö
# _Ae_ = Ä
# _Oe_ = Ö
# _Ue_ = Ü
# _ss_ = ß
#
if [ $# -lt 1 ]; then
echo `basename $0`': file(s)'
echo 'Hey, hey guy, what to convert ?'
exit 1
fi
for mfile in $@; do
# something other programs do not use
G_STR=".`date +%s%M%U`-`basename $0`-`basename $mfile`"
cat $mfile | sed 's/_ae_/ä/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_ue_/ü/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_oe_/ö/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_Ae_/Ä/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_Ue_/Ü/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_Oe_/Ö/g' > $G_STR
mv $G_STR $mfile
cat $mfile | sed 's/_ss_/ß/g' > $G_STR
mv $G_STR $mfile
done

47
ae_to_latex Executable file
View File

@ -0,0 +1,47 @@
# Date: 15th of March 2k+1
# Last Changed: 24th of February 2k+4
# Author: Nico Schottelius <Nico AT Schottelius DOT Org>
# Description: This script searches for the following strings
# and will substitute them with the right German Characters for Latex
#
# \"a = ä
# \"u = ü
# \"o = ö
# \"A = Ä
# \"O_ = Ö
# \"U = Ü
# \ss{} = ß (not _ss_ like it was earlier)
#
if [ $# -lt 1 ]; then
echo `basename $0`': file(s)'
echo 'Hey, hey guy, what to convert ?'
exit 1
fi
for mfile in $@; do
if [ ! -f "$mfile" ]; then
echo "Keine Datei namens $mfile gefunden. Skip."
break
fi
# something other programs do not use
G_STR=".`date +%s%M%U`-`basename $0`-`basename $mfile`-$$"
echo "Using $G_STR to convert $mfile ..."
cat "$mfile" | sed -e 's/ä/\\"a/g' -e 's/ü/\\"u/g' -e 's/ö/\\"o/g' \
-e 's/_ae_/\\"a/g' -e 's/_ue_/\\"u/g' -e 's/_oe_/\\"o/g' \
-e 's/_Ae_/\\"A/g' -e 's/_Ue_/\\"U/g' -e 's/_Oe_/\\"O/g' \
-e 's/_sz_/\ss{}/g' -e 's/ä/\\"a/g' -e 's/ü/\\"u/g' -e 's/ö/\\"o/g' \
-e 's/Ä/\\"A/g' -e 's/Ü/\\"U/g' -e 's/Ö/\\"O/g' -e 's/ß/\\ss{}/g'>"$G_STR"
if [ $? = 0 ]; then
mv "$G_STR" "$mfile"
else
echo "Replacing failed, don't replace original."
fi
done

2
alive.sh Normal file
View File

@ -0,0 +1,2 @@
#!/bin/sh
while true; do echo alive..`date +%s` ; sleep 1; done

13
all_your_bash.sh Executable file
View File

@ -0,0 +1,13 @@
#!/bin/bash
# All your bash are belong to us...
# This is a harmless bash script... really!
# Written out of pure boredom.
# Terminal capable of ANSI color sequences recommended.
# - fuzzy
__="echo -ne ";___="return";:(){ [ $1 -lt 10 ] || { $__ " "; $___;};
[ $((($4*$4)+($5*$5))) -gt 40000000 ] && { $__ "\033[3"$1"m##";$___;};
: $(($1+1)) $2 $3 $((((($4*$4)-($5*$5))/1000)+$2)) $(((2*$4*$5)/1000+$3));};:_ (){
[ $2 -lt 1600 ] || { $__ "\n" ;$___;};: 0 $2 $1 0 0;:_ $1 $(($2+100 ));};:__(){
[ $1 -lt 1600 ] || $___;:_ $1 -2500;:__ $(($1+100));};:__ -1500

1
ampersand_to_newline Executable file
View File

@ -0,0 +1 @@
cat test | perl -e 'while(<>) { s/&/\n/; print $_; }'

245
apmcount Executable file
View File

@ -0,0 +1,245 @@
#!/bin/sh
# Author: Nico Schottelius <nico AT schottelius DOT org>
# Date: 10th of April 2k+1
# Last Modified: 27th of June 2k+2
# Version: 0.7
# Comment: This tool shows how many minutes are one percent and at
# the end it shows the time the battery would live, if it has 100%
# capacity.
#
#
# BUGS:
#
# - The first values is most times not so good, because we didn't really
# catch one complete percent; FIXED: 11th of April 2k+1
#
# - if you stop before we've 2 values, awk will get a division through zero!
# FIXED: 11th of April 2k+1
#
# Changelog:
#
# 27th of June 2002:
# - fixed bug: when charging, apmcount said you lost percent...fixed through
# grep -v "battery charging"
#
# 11th of April 2001:
# - Ahh! I am awake again and now it seems apmcount becomes some kind of
# stable. Version 0.3 looks pretty good, although it still has the awk-zero-
# division bug. Also sometimes when you kill apmcount early there are some
# bad messages from the shell; Currently working on 0.4 to fix all errors
# and maybe typos. Version 0.5 won't have the debug messages in it
# anymore.
#
# 10th of April 2001:
# - I need to know how long the battery of my new notebooks lasts.
# As I didn't find anything good I started scripting this here.
#
#
# 27th of April 2001:
# Just pasted this old picture I have found written by me.
#
# /
# run as long as we don't got a signal
# |
# |
# save_percent in temp_p
# |
# |
# save_time_in_gnu_style in temp_t
# |
# |
# if temp_p not equals last i (i).
# --> the percentage has changed
#
#
#
# 1st of May 2k+1: Moved INTERVAL to the top of the script,
# so it is easier for the user to change the interval.
#
#
# APMCOUNT runs pretty fine, if you let it run for about
# 10 minutes it is more or less exactly :)
#
set +x
# How many records to skip ? One is normally quiet good!
SKIP=1
# INTERVAL: How long to sleep (in secs) and check for the time again
INTERVAL="5"
#### MESSAGES TO THE USER #####
PERCENT_ONE="This percentage lasted (in secs): "
PERCENT_ALL="The complete battery would aprox. live about (minutes)"
TIME_RAN="We ran so long:"
PERCENT_START="We started at percent:"
PERCENT_STOP="We stoped at percent:"
USED_PERCENT="We used so many percent of battery:"
ONE_HOUR_TIME="For one hour running this machine we need"
TO_LESS_PERCENT="Sorry, we ran to short and didn't get enough percents. \
Please take some more time to run `basename $0`."
TO_LESS_TIME="Sorry, we ran to short. Give me some more time to run."
SORRY_ONLINE="Sorry, running apmcount while beeing AC-Online is senseless."
####### END OF MESSAGES ########
################ STOP CHANGING OR NOT, WHAT YOU WANT :) #####################
# TRAP signals
trap EXIT="yes" SIGINT SIGSEGV SIGQUIT SIGTERM
# in SAVE we'll save the time it needed for the last percent
# in TIME is the time saved
SAVE=""
TIME=""
# temporary memory p=percent, t=time
temp_p=""
temp_t=""
# i is the count variable
i="0"
# We use START later, but cut out the first value
START=$[$i+$SKIP]
# howto get the seconds
DATE="date +%s"
# Set the first value
eval SAVE_$i=`apm | awk '{ print $6 }' | sed 's/\(.*\)%/\1/g'`
eval TIME_$i=`$DATE`
# Shall we exit
EXIT="no"
# check for status: Online/offline
if [ "`apm | grep "battery charging"`" != "" ]; then
echo $SORRY_ONLINE
exit 1
fi
# do it until we recieve the ctrl+C sequenz
while [ $EXIT != "yes" ] ; do
# position number sixth is "XX%" (67%), eleminate the percent sign
# with % sign
temp_p=`apm | awk '{ print $6 }' | sed 's/\(.*\)%/\1/g'`
# Save the current time
temp_t=`$DATE`
# Check whether the values are different or not, if yes,
# increment i, and place the values in the right place
# else do nothing
if [ `eval echo \\$SAVE_$i` -ne `echo $temp_p` ];then
# increment i
i=$[$i+1];
# place the data in our pseudo array
eval SAVE_$i=\$temp_p
# place the time in our pseudo array
eval TIME_$i=\$temp_t
# Display the time the last percent lasted
eval echo \$PERCENT_ONE \$[\$TIME_$i - \$TIME_$[$i-1]]
fi
# sleep until we repeat the while loop again
sleep $INTERVAL
# end of days
done
# now calculate the rest
# We got the time in seconds:
# The last time - the first time
# We stop at the last element
END=$i
################################################
# Check whether we can start the report or not.
################################################
# If $i (the count variable) is less than / equal to Start, forget the thing
# At least 2 values are needed for division :)
if [ $i -le $START ]; then
echo $TO_LESS_PERCENT
exit 1
fi
# allcountedpercent must be > 0
# allcountedpercent = Start_percent(20) - End_percent (10)
# Start_percent = counted_percents (i) - SKIP (defined above)
# Also the time should be more than zero
# percentage is getting less, so start - end
eval COMPLETE_PERCENT="\$[\$SAVE_$START - \$SAVE_$END]"
# First the time, time is getting higher, so END - START
eval COMPLETE_SECS="\$[\$TIME_$END - \$TIME_$START]"
# if not greater than 0
if [ ! $COMPLETE_PERCENT -gt 0 ];then
echo $TO_LESS_PERCENT
exit 1
fi
# if not greater than 0
if [ ! $COMPLETE_SECS -gt 0 ];then
echo $TO_LESS_TIME
exit 1
fi
########## REPORT BEGINS ############
echo $TIME_RAN $COMPLETE_SECS
eval echo \$PERCENT_START \$SAVE_$START
eval echo \$PERCENT_STOP \$SAVE_$END
echo $USED_PERCENT $COMPLETE_PERCENT
# In German we call the "Dreisatz", you should understand the next lines
#
# We've X seconds and X percent, both are present.
# We look for 100 percent and 3600 seconds
#
# X percent / X * 100 = 100 percent
# X seconds / X * 3600 = 1 hour
#
# So if we wanna have the time 100, the battery would last with
# 100 %, we need the following:
# 100_percent_time = ( time_lasted / percent_needed ) * 100
#
#
# We ran X minutes / seconds with X percent battery power
# We run 60 minutes with X minutes / X * 60 (or 3600 for seconds)
# ONE_HOUR= ( percents_needed / time_lasted ) * 3600
#
#
HUNDRED_P_TIME=`echo "$COMPLETE_SECS $COMPLETE_PERCENT" | \
awk '{ print ($1 / $2) * 100 / 60 }'`
echo $PERCENT_ALL $HUNDRED_P_TIME
# Now let's calculate how many percent are needed to run this
# machine one hour
ONE_HOUR=`echo "$COMPLETE_SECS $COMPLETE_PERCENT" | \
awk '{ print ($2 / $1) * 3600 }'`
echo $ONE_HOUR_TIME $ONE_HOUR

1
audio-cd-dir.commandline Normal file
View File

@ -0,0 +1 @@
find ~/pub/hobby/tanzen/rnr/octopus_cup_2004/cd3 -type f -exec ../link.sh {} \;

8
audio-cd-dir.link.sh Executable file
View File

@ -0,0 +1,8 @@
#!/bin/sh
NUM=`cat COUNT`
NUM=$(($NUM+1))
ln -s "$1" audio_${NUM}.wav
echo $NUM > COUNT

21
awkscript Executable file
View File

@ -0,0 +1,21 @@
# small script, which helps to make mutt alias from netscape alias
# Author: Nico Schottelius <nico@schottelius.org>
# Date: 12th of March 2002
# Last Changed: same
#
# alias name1 name2 name3 <emailaddr> to
# alias name1name2name3 name1 name2 name3 <emailaddr>
/^alias .* <.*>$/ {
save=ORS
ORS=""
line++;
print "alias "
for(j=2;j<NF;j++)
print $j
for(i=2;i<=NF;i++)
print " " $i
ORS=save
print ""
}

38
axfrs Executable file
View File

@ -0,0 +1,38 @@
# Date: 15. February 2002
# Author: Nico Schottelius <nico-linux@schottelius.(org|net)>
# Last Changed: same
# Version: 0.2
# Comment:
#
# 0.1: runs fine
# 0.2: uses awk, sed make some problems (with last NS expression)
#
#
if [ $# -lt 1 ]; then
echo `basename $0`': domain(s)'
echo 'Hey, what domain to get?'
exit 1
fi
DIG="dig"
EGREP="egrep"
GREP="grep"
SED="sed"
AWK="awk"
ECHO="echo"
for domain in $@; do
## NS_SERVERS=`$DIG $domain ns|$EGREP -i 'in.*ns'|$GREP -v '^;' | $SED 's/.*IN.*NS\(.*\)/\1/g' | sed 's/\.$//g'`
NS_SERVERS=`$DIG $domain ns|$EGREP -i 'in.*ns'|$GREP -v '^;' | $AWK '{ print $5} ' | sed 's/\.$//g'`
$ECHO "Servers: $NS_SERVERS"
for server in $NS_SERVERS; do
$ECHO "Quering $server for $domain ..."
$DIG @$server $domain axfr >> $domain-$server 2>&1
$ECHO "Done. Saved output to $domain-$server"
done
done

5
backup-script Executable file
View File

@ -0,0 +1,5 @@
HOST=fs2
BACKUP_DIR=backup
DATA_DIRS=$HOME
time tar cf - $DATA_DIRS | ssh $HOST "gzip -c > $BACKUP_DIR/`date +%d-%b-%Y`.tar.gz "

17
backup-smaller-dirs Executable file
View File

@ -0,0 +1,17 @@
i=0
dir=0
max_files_per_dir=100
mkdir -p $dir
for a in $@; do
if [ $i = $max_files_per_dir ]; then
((dir+=1))
mkdir -p $dir
i=0
fi
mv -i "$a" $dir
((i+=1))
done

3
backup-zeige-NEWNEW-typ-datei Executable file
View File

@ -0,0 +1,3 @@
echo NEWNEW: "$1"
file "$1"
cat "$1"

2
backup.to.eiche Executable file
View File

@ -0,0 +1,2 @@
#rsync -e ssh -av --delete --files-from=$HOME/.to_backup eiche.intern.schottelius.org:/mnt/backup/scice
rsync -e ssh -av --delete ~/Maildir ~/projects/ eiche.intern.schottelius.org:/mnt/backup/scice

19
backupe-nach-$1 Executable file
View File

@ -0,0 +1,19 @@
#!/bin/sh
# Nico Schottelius
# Mi Nov 24 13:25:40 CET 2004
EXCLUDE="/cdrom /dev /floppy /proc /sys /tmp"
EXCLUDE_FILE=".exclude"
SOURCE=/
PREFIX="time nice -n 10"
[ $# -ne 1 ] && exit 23
DEST=$1
rm -f $EXCLUDE_FILE
for a in $EXCLUDE; do
echo $a >> $EXCLUDE_FILE
done
$PREFIX rsync -av -e ssh --exclude-from="$EXCLUDE_FILE" $SOURCE "${DEST}"

1
bash-fork Executable file
View File

@ -0,0 +1 @@
bash$ :(){ :|:&};: --

4
bastian_sprich Executable file
View File

@ -0,0 +1,4 @@
#!/bin/sh
#ssh nico@nb-it-debian "txt2pho -f | mbrola -t 1.2 /usr/local/tts/data/de5/de5 - - | bplay -s 22050 -b 16"
ssh nico@nb-it-debian "/usr/local/bin/mbr_say -"

27
bg-image.dellist Executable file
View File

@ -0,0 +1,27 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 30-Jul-2003
# Last Modified: -
#
# generates a random background
# use `find imagedir > ~/.bgimages" and then run this script
#
FILE="$HOME/.bgimages"
CUR_FILE="$HOME/.bgimages-current"
TMP="/tmp/`basename $0`.$USER.$$"
IMG="/NONEXISTEN"
MAKEBG="wmsetbg -a -b black"
while [ ! -f "$IMG" -o -z "$IMG" ]; do
NUM=`cat $FILE | wc | awk '{ print $1 }'`
NUM="$[$NUM+1]" # random uses -1
TAKETHIS=`echo $(($RANDOM % $NUM))`
IMG=`head -n$TAKETHIS "$FILE" | tail -n1`
echo "$IMG" > ~/.bgimages-current
cat $FILE | grep -v "^$IMG\$" > $TMP
mv $TMP $FILE
done
$MAKEBG $IMG

10
bgdelay Executable file
View File

@ -0,0 +1,10 @@
IMG="$HOME/computer/images"
DELAY="2"
for pic in `find $IMG`; do
if [ ! -d $pic ]; then
wmsetbg -e $pic
sleep $DELAY
fi
done

13
bilder_groesse_anpassen Executable file
View File

@ -0,0 +1,13 @@
#!/bin/sh
if [ $# -gt 2 -o $# -lt 1 ]; then echo "Usage: size onefile";exit 1;fi
LIMIT=100
width=`file $1 | awk ' { print $5 } ' | sed 's/,$//'`
height=`file $1 | awk ' { print $7 } ' | sed 's/,$//'`
while [ $height -gt $LIMIT ]; do
height=$[$height/2]
width=$[$width/2]
done
echo $height $width

1
blauzahn-modem.sh Executable file
View File

@ -0,0 +1 @@
rfcomm bind 2 00:0A:D9:C9:11:BD 7

28
bw Executable file
View File

@ -0,0 +1,28 @@
#!/bin/sh
echo ""
echo "1) Benni+Mop"
echo "2) Mop"
echo "3) Benni"
echo "4) Other"
read -p "Choice: " ch
case "$ch" in
1)
xterm -title "***) Telnet: Benni (***" -e telnet benni &
xterm -title "***) Telnet: Mop (***" -e telnet mop &
;;
2)
xterm -title "***) Telnet: Mop (***" -e telnet mop &
;;
3)
xterm -title "***) Telnet: Benni (***" -e telnet benni &
;;
4)
xterm -title "***) Xterm - Telnet (***" -e telnet &
;;
*)
xterm -title "***) Telnet: Benni (***" -e telnet benni &
xterm -title "***) Telnet: Mop (***" -e telnet mop &
;;
esac

15
check_termine Executable file
View File

@ -0,0 +1,15 @@
#!/bin/sh
#
# Nico Schottelius
# Date: 18-Feb-2003
# Last Modified: 15-September-2003
# displays the things you got todo.
#
CALDIR=~/calendar
cd $CALDIR
for file in *; do
egrep --with-filename -A 2 "^`date +%d.%m:`" "$file"
egrep --with-filename -A 2 "^TO.DO:" "$file"
done

16
choose-cvs Executable file
View File

@ -0,0 +1,16 @@
name="CVS"
tmp="/tmp/$name-$$"
alias dialog="dialog"
dialog --menu "$name" 0 0 0 anoncvs@anoncvs.xfree86.org:/cvs xfree-xc \
:pserver:anonymous@mplayerhq.hu:/cvsroot/mplayer mplayer-main 2> $tmp
export CVSROOT=`cat $tmp`
dialog --inputbox "CVS Module" 0 0 2> $tmp
export CVSMODULE=`cat $tmp`
dialog --textbox 0 0 "Checking out $CVSMODULE from $CVSROOT"
bash -c "cvs co $CVSMODULE"

27
clinux.test-release Executable file
View File

@ -0,0 +1,27 @@
#!/bin/sh
file=$1
host=creme-s.schottelius.org
basedir=/home/server/www/nico/org/schottelius/creme-s
baseurl="http://beta.clinux.info"
reldir=testing/0.0.5/
url=$baseurl/$reldir
dir=$basedir/$reldir
if [ $# -lt 1 ]; then
echo "Please tell me, what to pre-release to testing dir."
exit 1
fi
for file in $@; do
if [ ! -e "$file" ]; then
echo "File $file is not existing, skipping."
continue
fi
scp "$file" "${host}:$dir"
ssh "$host" "chmod a+r $dir/$file"
echo "Pre-released ${url}/${file}"
done

4
delphi-remote Executable file
View File

@ -0,0 +1,4 @@
#!/bin/sh
echo $DISPLAY
ssh -n -X ts "startdelphi"

9
dict.leo.org Normal file
View File

@ -0,0 +1,9 @@
lp=ende
lang=de
searchLoc=0
cmpType=relaxed
relink=on
<input type="hidden" name="sectHdr" value="on">
<input type="hidden" name="spellToler" value="std">
search=

12
dietcompile Executable file
View File

@ -0,0 +1,12 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 30-Jul-2003
# Last Modified: -
#
# usage: dietcompile packagename --> makes /usr/package-diet
#
CC='diet gcc -nostdinc'
$CC $@

14
dietconfigure Executable file
View File

@ -0,0 +1,14 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 30-Jul-2003
# Last Modified: -
#
# usage: dietcompile packagename --> makes /usr/package-diet
#
DIET_CC='diet gcc -nostdinc'
DIET_CXX='diet gcc -nostdinc'
main="$1"; shift
#CC="$DIET_CC" CXX="$DIET_CXX" ./configure --prefix=/usr/$main-diet ${1+"$@"}
CC="$DIET_CC" ./configure --prefix=/usr/packages/$main ${1+"$@"}

3
dig2hosttable Normal file
View File

@ -0,0 +1,3 @@
#cat $1 | awk '/IN.*A/ { print $1 }' | sed 's/\.$//'
cat $1 | awk '/IN.*A/ { print $1 }' | sed 's/\.$//' | sort | uniq

2
digital-uhr Executable file
View File

@ -0,0 +1,2 @@
xclock -bg black -fg red -update 1 -digital -twentyfour

1
dosenhalter Executable file
View File

@ -0,0 +1 @@
eject

3
english Executable file
View File

@ -0,0 +1,3 @@
#!/bin/sh
xmodmap ~/.xmodmap-eiche.english

2
extcut Executable file
View File

@ -0,0 +1,2 @@
#!/bin/sh
for i in *.$1;do mv $i `basename $i .$1`;done

3
extrac_ip_from_zonefile Executable file
View File

@ -0,0 +1,3 @@
#!/bin/bash
egrep 'IN *A' | awk ' { print $5}'

4
fcc Executable file
View File

@ -0,0 +1,4 @@
#!/bin/sh
FCCDIR=~/firstclass/opt/firstclass
cd $FCCDIR && ./fcc

3
figlet_alle_fonts Executable file
View File

@ -0,0 +1,3 @@
#cd /usr/figle*/share/figlet/
cd /usr/share/figlet
for a in *.flf; do BLA=${a%.flf}; echo $BLA; echo hallo | figlet -f $BLA; done

15
files-x Executable file
View File

@ -0,0 +1,15 @@
#!/bin/sh
#file=`ls -l $1 | egrep '^d' | awk ' {print $9 }'`
#if [ -z file ]; then echo $1;fi
# echo gerade : $1
# file : $file
if [ -d "$1" ]
then
echo "dir : $1"
chown root.wheel $1 -R
chmod g+rx $1
chmod g+r $1 -R
fi

2
first_to_upper Executable file
View File

@ -0,0 +1,2 @@
#/bin/sh
echo $@ | sed 's/\(^.\)\(.*\)/\1 \2/' | awk '{ print toupper($1)$2 }'

1
flapp_aus Executable file
View File

@ -0,0 +1 @@
su -l root -c "shutdown -h now"

2
freeciven Executable file
View File

@ -0,0 +1,2 @@
#!/bin/sh
LANG=de_DE civclient -t neotrident -n telmich

23
generate_mutt_mailboxes Executable file
View File

@ -0,0 +1,23 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: June 2003
# Last Modified: 13 Mar 2004
#
# generate mutt compatibel mailboxe entries
# usage: generate_mutt_mailboxes > ~/.mutt/mailboxes
# (and 'source ~/.mutt/mailboxes' in .muttrc)
#
echo 'set folder="~/Maildir"'
if [ -f ~/.mutt/important_mailboxes ]; then
cat ~/.mutt/important_mailboxes
fi
find ~/Maildir/ -type d -name new | \
sed -e "s,$HOME/Maildir/,mailboxes +,g" \
-e 's,new$,,g' \
-e s'/mailboxes +postponed\///g' \
-e 's/mailboxes +$//g' | \
grep -v '^$'

40
generate_script_header Executable file
View File

@ -0,0 +1,40 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: Wed Apr 30 14:57:23 CEST 2003
# Last Modified: Thu Jun 17 22:37:58 CEST 2004
#
# nico@flapp:~/bin $ cat ~/.script-template
# author="Nico Schottelius"
# email="nico@schottelius.(net|org)"
#
TEMPLATE=~/.script-template
if [ $# -lt 1 ]; then
echo "`basename $0`: new script file(s)"
exit 1
fi
for _file in $@; do
if [ -e "$_file" ]; then
echo "$_file exists. Will not overwrite it. Or will I ?"
else
if [ ! -e "$TEMPLATE" ]; then
echo "Required Template missing. Aborting."
exit 1
else
. $TEMPLATE
cat << EOF > "$_file"
#!/bin/sh
#
# $author <$email>
# Date: `date +%d-%h-%Y`
# Last Modified: -
#
EOF
fi
fi
done

View File

@ -0,0 +1,44 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: Wed Apr 30 14:57:23 CEST 2003
# Last Modified:
#
# nico@flapp:~/bin $ cat ~/.script-template
# author="Nico Schottelius"
# email="nico@schottelius.(net|org)"
#
TEMPLATE=~/.script-template
if [ $# -lt 1 ]; then
echo "`basename $0`: new script file(s)"
exit 1
fi
_i=1
while [ "$_i" -le "$#" ]; do
eval _file=\$$_i
echo $_file
if [ -e "$_file" ]; then
echo "$_file exists. Will not overwrite it. Or will I ?"
else
if [ ! -e "$TEMPLATE" ]; then
echo "Required Template missing. Aborting."
exit 1
else
. $TEMPLATE
cat << EOF > "$_file"
#!/bin/sh
#
# $author <$email>
# Date: `date +%d-%h-%Y`
# Last Modified: -
#
EOF
fi
fi
_i=$[$_i+1]
done

64
gentoo-bug.sh Executable file
View File

@ -0,0 +1,64 @@
#!/bin/sh
# generate gentoo bug-report
# Nico Schottelius <nico-linux-gentoo ... schottelius.org
# gentoo-bug.sh
#
REPORTER="Nico Schottelius <nico-linux-gentoo ... schottelius.org>"
umask 077
TMP_BASE=/tmp/`basename $0`-${USER}
TMP=${TMP_BASE}-$$
# read input
reread()
{
_tmp=""
name="$1"
while [ ! "$_tmp" ]; do
read -p "$1 [$_tmp]: " _tmp
done
echo $_tmp
}
echo "This makes a small bugreport suitable for developers of the gentoo system."
echo "----------------"
echo "Please enter information as exact as possible. Thanks."
echo ""
package=`reread package-name`
error=`reread "Error occured (short description)"`
problem=`reread "Please describe problem in your words"`
rm -f "$TMP"
# make a good filename
TMP=${TMP_BASE}-${package}
# generate file
#cat << EOF
cat << EOF > "$TMP"
--------------------
Bug-Reporter for gentoo - http://linux.schottelius.org/scripts/#gentoo-bug.sh
--------------------
package: $package
--------------------
reporter: $REPORTER
--------------------
error: $error
--------------------
problem-description: $problem
--------------------
uname-a: `uname -a`
--------------------
make.conf: `grep -v '^#' /etc/make.conf | grep -v '^$'`
--------------------
emerge-info: `emerge --info`
--------------------
other-info:
EOF
echo "If you have additional information, please add them to the report."
echo "Now, please mail the resulting file to a gentoo-maintainer/developer:"
echo "$TMP"

57
gentoo-bug.sh01 Executable file
View File

@ -0,0 +1,57 @@
#!/bin/sh
# generate gentoo bug-report
# Nico Schottelius <nico-linux-gentoo ... schottelius.org
# gentoo-bug.sh
REPORTER="Nico Schottelius <nico-linux-gentoo ... schottelius.org>"
umask 077
TMP=/tmp/`basename $0`-${USER}-$$
# read input
reread()
{
_tmp=""
name="$1"
while [ ! "$_tmp" ]; do
read -p "$1 [$_tmp]: " _tmp
done
echo $_tmp
}
echo "This makes a small bugreport suitable for developers of the gentoo system."
echo "----------------"
echo "Please enter information as exact as possible. Thanks."
echo ""
package=`reread package-name`
error=`reread "Error occured (short description)"`
problem=`reread "Please describe problem in your words"`
# generate file
#cat << EOF
cat << EOF > "$TMP"
--------------------
package: $package
--------------------
reporter: $REPORTER
--------------------
error: $error
--------------------
problem-description: $problem
--------------------
uname-a: `uname -a`
--------------------
make.conf: `grep -v '^#' /etc/make.conf | grep -v '^$'`
--------------------
emerge-info: `emerge --info`
--------------------
other-info:
EOF
echo "If you have additional information, please add them to the report."
echo "Now, please mail the resulting file to a gentoo-maintainer/developer:"
echo "$TMP"

3
german Executable file
View File

@ -0,0 +1,3 @@
#!/bin/sh
xmodmap ~/.xmodmap-eiche.german

17
get-ezmlm-mails Executable file
View File

@ -0,0 +1,17 @@
for number in $@; do
cat << EOF > /tmp/remove_me_not$$
From: Nico Schottelius <telmich@schottelius.org>
To: intern-get.$number@lists.ccc.de
Cc:
Bcc:
Subject: get messages...
Reply-To:
X-Linux-Info: http://linux.schottelius.org/
X-Operating-System: Linux flapp 2.6.0-test5
EOF
echo bla | mutt -H /tmp/remove_me_not$$ intern-get.$number@lists.ccc,de
done

28
get-latest-kernel Executable file
View File

@ -0,0 +1,28 @@
#!/bin/sh
#
# Nico Schottelius <nico-linux@schottelius.(net|org)>
# Date: 2006-03-20
# Last Modified: ls -l
# Version: 0.1
# Comment: based on latest-kernel 1.4
# (http://linux.schottelius.org/scripts/#latest-kernel)
# Copying: GPL2
#
VERSION=$(curl -s http://ftp.kernel.org/pub/linux/kernel/v2.6/ | grep LATEST-IS- | sed 's/.*LATEST-IS-\(.*\)<\/a.*/\1/')
echo "Retrieving Kernel version $VERSION ..."
#
# Get kernel via http, so proxies can cache it
#
BASEURL="http://www.kernel.org/pub/linux/kernel/v2.6/linux-"
#
# get .tar.bz2
#
EXTENSION=".tar.bz2"
FULL_URL=${BASEURL}${VERSION}${EXTENSION}
wget "$FULL_URL"

10
get_absolute_path.sh Executable file
View File

@ -0,0 +1,10 @@
#!/bin/sh
cd /
SCRIPT_DIR_RELATIVE=$(dirname $0)
SCRIPT_DIR_ABSOLUTE=$(cd $SCRIPT_DIR_RELATIVE; pwd)
echo $SCRIPT_DIR_RELATIVE $SCRIPT_DIR_ABSOLUTE
pwd

17
get_decr-f-package Executable file
View File

@ -0,0 +1,17 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 22-May-2003
# Last Modified: -
#
. "$1"
# SOURCES
# alpha
# beta
# testing
# stable *
# unstable
# * = required

31
get_latest_gnu_package Executable file
View File

@ -0,0 +1,31 @@
#!/bin/sh
# Author: Nico Schottelius <nico@schottelius.net>
# Date: 04-Feb-2003
# Last Modified: 04-Feb-2003
# Comment: get the latest gnu source package
# variables
PROGNAME=`basename $0`
PID="$$"
TEMPFILE=/tmp/.`mktemp "$PROGNAME""$PID""XXXXXX"`.html
BASE_URL="ftp://ftp.gnu.org/pub/gnu"
SHOW_URLS="lynx -dump $TEMPFILE"
# init()
umask 7
if [ "$#" -ne 1 -o "$1" = "--help" ]; then
echo "$PROGNAME: gnu-package-name"
exit 1
fi
# retrieve index
wget $BASE_URL/$1/ -O $TEMPFILE
# get number of lines
num_of_lines=`$SHOW_URLS | wc | awk '{ print $1 } '`
ref_lines=`$SHOW_URLS | grep -n '^References'| sed 's/\(.*\):References/\1/'`
interesting_lines=$[$num_of_lines-$ref_lines]
# display interesting urls
$SHOW_URLS | tail -n $interesting_lines

49
get_news Executable file
View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 25-May-2004
# Last Modified: 27-May-2004
# Get only the latest headlines from different news sites
# Version: 0.3
#
BASE_DIR=~/.get_news
TMP=/tmp/$$-$UID-`date +%s`
if [ $# -ne 1 ]; then
echo "Go away. I want one argument."
exit 666
fi
USERFILE="$BASE_DIR/$1"
case "$1" in
heise)
RDF=http://www.heise.de/newsticker/heise.rdf
BEGIN_NEWS='<title>'
END_NEWS='<\/title>'
NEWS_NAME="heise online news"
;;
pro-linux)
RDF=http://www.pl-forum.de/backend/pro-linux.rdf
BEGIN_NEWS='<title>'
END_NEWS='<\/title>'
NEWS_NAME="Pro-Linux News"
;;
*)
"Go away. I don't know anything about $1."
exit 23
esac
# get
curl -s "$RDF" | grep "$BEGIN_NEWS" | grep -v "$NEWS_NAME" | sed -e "s/$BEGIN_NEWS//g" -e "s/$END_NEWS//g" > "$TMP"
[ -d "$BASE_DIR" ] || mkdir -p "$BASE_DIR"
if [ ! -f "$USERFILE" ]; then
cat "$TMP"
else
diff -u "$USERFILE" "$TMP" | grep ^+ | grep -v ^+++ 2>/dev/null | sed 's/^+//g'
fi
mv -f "$TMP" "$USERFILE" || rm -f "$TMP"

21
get_news-v0.1 Executable file
View File

@ -0,0 +1,21 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 25-May-2004
# Last Modified:
# Get latest headlines from www.heise.de
#
USERFILE=$HOME/.heise-news
TMP=/tmp/$$-$UID-`date +%s`
# get
curl -s http://www.heise.de | grep '<h3 class="anriss">' | sed 's/.*>\(.*\)<\/a>.*/\1/g' > "$TMP"
if [ ! -f "$USERFILE" ]; then
cat "$TMP"
else
diff -u "$USERFILE" "$TMP" | grep ^+ | grep -v ^+++ | sed 's/^+/Heise News: /g' 2>/dev/null
fi
mv -f "$TMP" "$USERFILE" || rm -f "$TMP"

51
get_news-v0.2 Normal file
View File

@ -0,0 +1,51 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 25-May-2004
# Last Modified:
# Get only the latest headlines from different news sites
#
BASE_DIR=~/.get_news
TMP=/tmp/$$-$UID-`date +%s`
if [ $# -ne 1 ]; then
echo "Go away. I want one argument."
exit 666
fi
USERFILE="$BASE_DIR/$1"
case "$1" in
heise)
RDF=http://www.heise.de/newsticker/heise.rdf
BEGIN_NEWS='<title>'
END_NEWS='<\/title>'
NEWS_NAME="heise online news"
;;
pro-linux)
RDF=http://www.heise.de/newsticker/heise.rdf
BEGIN_NEWS='<title>'
END_NEWS='<\/title>'
NEWS_NAME="Pro-Linux News"
;;
*)
"Go away. I don't know anything about $1."
exit 23
esac
SED_STRING='/'"$BEGIN_NEWS"'/{s/'"$BEGIN_NEWS"'//g;s/'"$END_NEWS"'//g;q};d'
echo $SED_STRING
# get
#curl -s "$RDF"
#curl -s "$RDF" | sed "$SED_STRING"
curl -s "$RDF" | grep "$BEGIN_NEWS" | grep -v "$NEWS_NAME" | sed -e "s/$BEGIN_NEWS//g" -e "s/$END_NEWS//g"
#if [ ! -f "$USERFILE" ]; then
# cat "$TMP"
#else
# diff -u "$USERFILE" "$TMP" | grep ^+ | grep -v ^+++ | sed 's/^+/Heise News: /g' 2>/dev/null
#fi
#
###mv -f "$TMP" "$USERFILE" || rm -f "$TMP"

49
get_news-v0.3 Normal file
View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# Nico Schottelius <nico@schottelius.(net|org)>
# Date: 25-May-2004
# Last Modified: 27-May-2004
# Get only the latest headlines from different news sites
# Version: 0.3
#
BASE_DIR=~/.get_news
TMP=/tmp/$$-$UID-`date +%s`
if [ $# -ne 1 ]; then
echo "Go away. I want one argument."
exit 666
fi
USERFILE="$BASE_DIR/$1"
case "$1" in
heise)
RDF=http://www.heise.de/newsticker/heise.rdf
BEGIN_NEWS='<title>'
END_NEWS='<\/title>'
NEWS_NAME="heise online news"
;;
pro-linux)
RDF=http://www.pl-forum.de/backend/pro-linux.rdf
BEGIN_NEWS='<title>'
END_NEWS='<\/title>'
NEWS_NAME="Pro-Linux News"
;;
*)
"Go away. I don't know anything about $1."
exit 23
esac
# get
curl -s "$RDF" | grep "$BEGIN_NEWS" | grep -v "$NEWS_NAME" | sed -e "s/$BEGIN_NEWS//g" -e "s/$END_NEWS//g" > "$TMP"
[ -d "$BASE_DIR" ] || mkdir -p "$BASE_DIR"
if [ ! -f "$USERFILE" ]; then
cat "$TMP"
else
diff -u "$USERFILE" "$TMP" | grep ^+ | grep -v ^+++ 2>/dev/null | sed 's/^+//g'
fi
mv -f "$TMP" "$USERFILE" || rm -f "$TMP"

4
goonline Executable file
View File

@ -0,0 +1,4 @@
#!/bin/sh
netscape -mail &
vncviewer ozean:1

36
greeting_intro_play Executable file
View File

@ -0,0 +1,36 @@
#!/bin/sh
# Nico Schottelius
# 10-Jan-2003
# startup locked playing for the login process
#
LOCKFILE=~/.greet.lock
PID=`cat $LOCKFILE 2>/dev/null`
PLAYER="tracker"
FILE=~/pub/computer/audio/music/mods/cold_blood.mod
trap "rm -f $LOCKFILE; exit 1" ALRM HUP INT KILL TERM
if [ -f "$LOCKFILE" ]; then
echo runtest
# check if process still exists, then exit
kill -WINCH $PID 2>/dev/null && exit 0
echo seems not run
fi
# this is wrong, but kill sees we exist now
echo $$ > "$LOCKFILE"
# startup playing & automatic cleanup
(
"$PLAYER" "$FILE" &>/dev/null
rm -f "$LOCKFILE"
) &
##"$PLAYER" "$FILE" &>/dev/null &
# set the correct lockpid: $! is wrong...
echo $! > $LOCKFILE
##fg
##rm -f "$LOCKFILE"

14
hole_mails Executable file
View File

@ -0,0 +1,14 @@
#!/bin/sh
SLEEP=$1
if [ -z "$SLEEP" ]; then
echo "$0 Zeit zum Schlafen"
exit 1
fi
while true; do
fetchmail >/dev/null ;
echo "Mails abgeholt, schlafe nun $SLEEP"
sleep $SLEEP;
done

195
homes_uebersicht Normal file
View File

@ -0,0 +1,195 @@
4 /home/administrator
4 /home/aselmeyer
4 /home/aushilfe2
4 /home/aushilfe3
4 /home/aushilfe4
4 /home/aushilfe5
4 /home/aushilfe6
4 /home/aushilfe7
4 /home/betriebsrat
4 /home/c3server
4 /home/challi
4 /home/chey_vsvr_wdt41
4 /home/endktrprx2
4 /home/engel
4 /home/frink2
4 /home/gast
4 /home/genocash
4 /home/grammel
4 /home/haenies
4 /home/hogrefe
4 /home/hzko7
4 /home/info
4 /home/innolan
4 /home/inventur
4 /home/i-punkt
4 /home/jantzen
4 /home/jodda
4 /home/klueber
4 /home/konietzki
4 /home/kontrolle1
4 /home/kontrolle6
4 /home/kontrolle7
4 /home/kontrolle8
4 /home/kontrolle9
4 /home/kroll
4 /home/kruse
4 /home/kuehlsav
4 /home/landmann
4 /home/lang
4 /home/lange
4 /home/langner
4 /home/lev
4 /home/memsen
4 /home/menser
4 /home/nai
4 /home/netshield_wdt41
4 /home/obladen
4 /home/pa-testuser
4 /home/pa-user-1
4 /home/pa-user-2
4 /home/pa-user-3
4 /home/payns
4 /home/presse
4 /home/projekt
4 /home/schulze
4 /home/soeffkerwts
4 /home/softmb
4 /home/steinbach
4 /home/stender
4 /home/strate
4 /home/sukowski
4 /home/superusr
4 /home/supervisor
4 /home/thinkpad
4 /home/tof
4 /home/triebe
4 /home/tv
4 /home/user1
4 /home/verkauf
4 /home/WDT-BEBO
4 /home/weihh2003
4 /home/weihh82
4 /home/weihh83
4 /home/weihh84
4 /home/winkce
4 /home/zentrale
4 /home/zone7-1
4 /home/zone7-2
8 /home/kerber
8 /home/kontrolle3
8 /home/kontrolle4
8 /home/kontrolle5
12 /home/endktrprx
12 /home/root
12 /home/wdtcomserv
20 /home/bla
20 /home/blanke
20 /home/helpdesk
24 /home/auskunft3
24 /home/jeberien
24 /home/mikrobiologie
28 /home/ahrens
28 /home/jaede
32 /home/auskunft2
32 /home/kaefer
32 /home/kontrolle2
32 /home/kugler
36 /home/jaedtke
36 /home/wareneingang
44 /home/erbe
44 /home/funk
48 /home/grzadziel
48 /home/messe
48 /home/steller
52 /home/auskunft1
52 /home/letzner
52 /home/nonnewitz
56 /home/josten
56 /home/roesner
56 /home/sporn
56 /home/wuestefeld
60 /home/lattmann
64 /home/aushilfe1
64 /home/klingebiel
72 /home/abert
76 /home/achilles
80 /home/rohde
84 /home/alphaprint
84 /home/packheiser
96 /home/ostermeier
200 /home/rode
220 /home/doebert
220 /home/kruck
272 /home/schensny
300 /home/nettelmann
368 /home/lokal
556 /home/kirschner
656 /home/wdtskel
720 /home/MAILDIR
1672 /home/pieper
1976 /home/mundt
2024 /home/eistert
2024 /home/krause
2716 /home/gehrmann
3548 /home/gordzielik
4884 /home/herrmann
5468 /home/wink
6316 /home/oetken
7440 /home/ehlert
7736 /home/witt
7864 /home/soeffker
8616 /home/schmal
8768 /home/pirntke
10472 /home/rotermund
12716 /home/taperek
13412 /home/windt
13472 /home/reyer
15104 /home/heine
15576 /home/lueck
19188 /home/schmidtke
21796 /home/schoeler
24372 /home/praktikant
29364 /home/kuehl
32484 /home/friebe
35904 /home/bak
40388 /home/killinger
42004 /home/k-sukowski
46928 /home/walter
56828 /home/rosenburg
73916 /home/kubsch
73988 /home/weers
78116 /home/sordyl
96888 /home/volmer
97928 /home/ihle
100892 /home/stawski
106600 /home/dreyer
106916 /home/hplc
123476 /home/nico
126740 /home/scholz
138852 /home/jadischke
139156 /home/frink
170932 /home/schmidt
205748 /home/backup
212944 /home/slange
224932 /home/schoenfeld
235360 /home/reifenrath
308876 /home/herting
337348 /home/koblitz
388716 /home/tybussek
458388 /home/admin
474620 /home/furchner
486332 /home/ruesing
534920 /home/brandes
560708 /home/eberst
652000 /home/alz
738016 /home/benen
780716 /home/krebs
823372 /home/irion
986888 /home/breitenstein
1041820 /home/eichler
1197980 /home/popp
1454668 /home/meurer
1883212 /home/goerlich
3027524 /home/bode
18956132 /home

11
http_zeit.sh Executable file
View File

@ -0,0 +1,11 @@
#!/bin/sh
# Nico Schottelius
if [ $# -ne 1 ]; then
echo "$0 URL"
exit 1
fi
date
curl -s $1 >/dev/null
date

14
indent_script Executable file
View File

@ -0,0 +1,14 @@
#!/bin/sh
# Nico Schottelius (nico-linux@schottelius.org)
# indents like kr with a little bit more beauty look
# 13-May-2004
# written for the monotone project
if [ $# -lt 1 ]; then
echo "$0: <files to indent>"
exit 1
fi
for file in $@; do
indent -nbad -bap -ts3 -nut -sc -br -ce -cdw -cli0 -nbc -brs -i3 -lp -ppi3 -di1 -c33 -cd33 -ncdb -ci3 -cp33 -cs -d0 -di0 -l75 -bbo -nfc1 -nfca -hnl -ip0 -npcs -nprs -saf -sai -saw -nsob -nss -npsl "$file"
done

2
irctunnel Executable file
View File

@ -0,0 +1,2 @@
ssh -L 6667:irc.freenet.de:6667 -N schottelius.org
ssh -L 6668:irc.schottelius.org:6667 -N schottelius.org

16
isonline Executable file
View File

@ -0,0 +1,16 @@
#!/bin/sh
if [ $# -lt 1 ]; then
echo "`basename $0`"' host(s)'
exit 1
fi
# how many times to try
COUNT="5"
for host in $@; do
ping_result="not reachable."
echo -n "Testing if host $host is reachable: "
ping -c $COUNT $host &>/dev/null && ping_result="reachable."
echo $ping_result
done

32
jpeg2gifanim Executable file
View File

@ -0,0 +1,32 @@
#!/bin/bash
# Author: Nico Schottelius ( nicos@pcsystems.de )
# Date: 14th of March 2k+1
# LastChanged: 15th of March 2k+1
# Copying: See GNU GENERAL PUBLIC LICENSE ; Version 2, June 1991
# Descripton: JPEG to GIF
# This script uses the Blender output (JPEG files) and makes
# an gif-animation of them
# Set the filename of the animated gif
FILE="LA.gif"
# unset this
THEGIFS=""
for i in $@
do
# First convert the JPEG Output to PNM image
jpegtopnm $i > $i.pnm
# then convert the pnm to gif
pnmtogif $i.pnm > $i.gif
# Add the filename to the pseudo matrix
THEGIFS="$THEGIFS $i.gif"
done
whirlgif -o $FILE $THEGIFS

BIN
kill Executable file

Binary file not shown.

15
kill_win Executable file
View File

@ -0,0 +1,15 @@
#!/bin/sh
BASE_IP=213.173
for ip in `seq 0 255`; do
real_ip="$BASE_IP.$1.$ip"
is_win=""
is_win=`nmap -p 139 $real_ip | grep 139/tcp`
if [ -n "$is_win" ]; then
smbclient -N -W MSHEIMNETZ -L $real_ip
fi
done
# ./smbnuke 213.173.$ip.255; done

BIN
killm Executable file

Binary file not shown.

9
kopiere_ssh_key Executable file
View File

@ -0,0 +1,9 @@
if [ $# != 1 ]; then
echo "`basename $0`: Host"
exit 1
fi
host="$1"
cat ~/.ssh/identity.pub | ssh $host "(mkdir -p ~/.ssh; cat >> ~/.ssh/authorized_keys)"

35
latex2pdf Executable file
View File

@ -0,0 +1,35 @@
#!/bin/sh
# Date: 04-04-04 (04-April 2004)
# Last Changed: 04-04-04 (04-April 2004)
# Author: Nico Schottelius <Nico-linux AT Schottelius DOT Org>
# Description: Convert latex to pdf with support for tableofcontents
#
if [ $# -lt 1 ]; then
echo `basename $0`': file(s) (may ommit .tex extension)'
echo 'Hey, hey guy, what to convert ?'
exit 1
fi
for mfile in $@; do
# .texfile
if [ -f "$mfile" ]; then
texfile="$mfile"
dvifile="${mfile%.tex}"
else
if [ -f "$mfile".tex ]; then
texfile="$mfile".tex
dvifile="$mfile"
fi
fi
if [ -z "$texfile" ]; then
echo "No such file: $mfile. Skip."
break
fi
# use three times (table of contents problem)
latex "$texfile" && latex "$texfile" && latex "$texfile" && dvipdfm -p a4 "$dvifile"
done

45
latex_to_ae Executable file
View File

@ -0,0 +1,45 @@
# Date: 03rd of August 2004
# Last Changed: 03rd of August 2004
# Author: Nico Schottelius <nico-linux@schottelius.org>
# Description: This script searches for the following strings
# and will substitute them with the right German Characters.
#
# \"a = ä
# \"u = ü
# \"o = ö
# \"A = Ä
# \"O_ = Ö
# \"U = Ü
# \ss{} = ß
#
if [ $# -lt 1 ]; then
echo `basename $0`': file(s)'
echo 'Hey, hey guy, what to convert ?'
exit 1
fi
for mfile in $@; do
if [ ! -f "$mfile" ]; then
echo "Keine Datei namens $mfile gefunden. Skip."
break
fi
# something other programs do not use
G_STR=".`date +%s%M%U`-`basename $0`-`basename $mfile`-$$"
echo "Using $G_STR to convert $mfile ..."
cat "$mfile" | sed -e 's/\\"a/ä/g' -e 's/\\"u/ü/g' -e 's/\\"o/ö/g' \
-e 's/\\"a/ä/g' -e 's/\\"u/ü/g' -e 's/\\"o/ö/g' \
-e 's/\\"A/Ä/g' -e 's/\\"U/Ü/g' -e 's/\\"O/Ö/g' -e 's/\\ss{}/ß/g' >"$G_STR"
if [ $? = 0 ]; then
mv "$G_STR" "$mfile"
else
echo "Replacing failed, don't replace original."
fi
done

1
leds1 Executable file
View File

@ -0,0 +1 @@
while [ true ]; do setleds +num; sleep 1; setleds -num +caps; sleep 1; setleds -caps +scroll; sleep 1; setleds -scroll; sleep 2; setleds +num +caps +scroll; sleep 1; setleds -num -scroll -caps;sleep 1;done

31
leds2 Executable file
View File

@ -0,0 +1,31 @@
PROG="setleds"
kbset()
{
if [ $# -ne 2 ]; then return; fi
param=$1
case $2 in
on)
$PROG +$param ;;
off)
$PROG -$param ;;
esac
}
keyb_sequence()
{
kbset num off; kbset caps off; kbset scroll off; sleep 1
kbset num on;kbset scroll on;sleep 1
kbset num off;kbset scroll off;kbset caps on;sleep 1
kbset caps off; kbset num on; sleep 1;
kbset num off; kbset caps on; sleep 1;
kbset caps off; kbset scroll on; sleep 1;
kbset caps on; kbset scroll off; sleep 1;
kbset num on; kbset caps off; sleep 1;
}
while [ true ]; do keyb_sequence; done

3
leibniz.ssh Executable file
View File

@ -0,0 +1,3 @@
#!/bin/sh
ssh -o 'ProxyCommand corkscrew 192.168.100.10 3128 %h %p' $@

25
lls Executable file
View File

@ -0,0 +1,25 @@
#!/bin/sh
tmp=/tmp/.lls.$$
ls -l $* | tee $tmp
sum=0
anz=0
for i in $(cut $tmp -b 33-41); do
i=${i##*[^0-9,´ ´]*}
if [ i ]; then
sum=$[$sum+$i]
anz=$[$anz+1]
fi
done
echo -n "$anz Dateien, "
if [ $sum -ge 1000000 ]; then
echo -n $[$sum/1000000]
printf "%.3d," $[($sum % 1000000)/1000]
printf "%.3d" $[$sum % 1000]
elif [ $sum -ge 1000 ]; then
echo -n $[$sum/1000]
printf "%.3d" $[$sum % 1000]
else
echo -n $sum
fi
echo " Bytes"
rm $tmp

3
lp Executable file
View File

@ -0,0 +1,3 @@
#!/bin/sh
cat > ~/mozilla.ps

8
ls-fun Executable file
View File

@ -0,0 +1,8 @@
#!/bin/sh
# ls with colors :)
ls "$@" | perl -pe '$i=$.;s//\e[3@{[$i++%7+1]}m/g'
# stop colors
echo -n "\033[m"
#echo -n -e "\033[m"

3
mail.netscape Executable file
View File

@ -0,0 +1,3 @@
#!/bin/bash
kppp -c default &
~/bin/Netscape -mail &

Some files were not shown because too many files have changed in this diff Show More